### This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

import os
from sos.plugins import Plugin, RedHatPlugin, DebianPlugin, UbuntuPlugin

class Multipath(Plugin, RedHatPlugin, DebianPlugin, UbuntuPlugin):
    """device-mapper multipath information
    """

    plugin_name = 'multipath'

    def setup(self):
        self.add_copy_specs([
            "/etc/multipath/",
            "/etc/multipath.conf"
        ])
        self.add_cmd_output("multipath -l")
        self.add_cmd_output("multipath -v4 -ll")


